Wstęp

Program 7+ Taskbar Tweaker pozwala dostosować różne funkcje i zachowania paska zadań w systemie Windows.

Większość opcji konfiguracyjnych na jakie pozwala ten program, nie jest możliwych do wprowadzenia poprzez systemowe właściwości paska zadań lub edycję rejestru.

Program ten działa wyłącznie w systemach Windows 7, Windows 8, Windows 8.1, i Windows 10.

Linki

  • Strona www
  • Lista błędów i funkcji programu
  • Wspomóż autora

Tłumaczenie

Polskie tłumaczenie: Artur Łukasik (MAURYCY)

Data: listopad 2013 r.

Wsparcie: Paweł Gumiela (wrzesień 2016 r.)

Copyright © 2009-2017 by RaMMicHaeL. Wszystkie prawa zastrzeżone.


Lista zmian (po angielsku)

Wstęp ››

v5.4 (May 19, 2017)

  • Added support for the Windows 10 Fall Creators Update (build 16299).
  • The tweaker now shows a warning message for unsupported Windows 10 builds.
  • Added an advanced Mouse Button Control option to alphabetically sorts group items.
  • When the "Control volume when mouse is over: The notification area" option is on, it is being activated over the clock of secondary monitors now, too.
  • Windows 10: Double/middle clicking the taskbar opens the start menu on the correct monitor.
  • Windows 10 and the no_start_btn_spacing advanced option: clicking on the empty corner now opens the start menu.
  • Fixed the "Combine grouped buttons" option when switching virtual desktops on Windows 10.
  • Fixed a bug with the drag_towards_desktop advanced option, which could activate unrelated windows.
  • Added a Spanish help file, by Leonel Mira (carpediemando.890m.com).
  • Added a French help file, by Wullfk (easy-pc.org).

v5.3 (May 19, 2017)

  • Added support for the Windows 10 Creators Update (build 15063).

I want to thank everybody who donated for the porting effort : Steve Ellmore, Mark Light, Joe Gores, and other contributors .

  • Added the scroll_no_wrap advanced option, which disables the wrapping around behavior for the "cycle between taskbar buttons" option.
  • Fixed a bug in Windows 10 Anniversary Update, which could cause several options to work incorrectly.
  • Fixed taskbar items reordering while applying tweaks in several cases.
  • Fixed for Mouse Button Control advanced options: custom right click actions could cause the taskbar context menu to show up.
  • Fixed a bug which caused the tray_icons_padding advanced option to get reset sometimes.
  • Added Bulgarian translation, by Radoslav Nenchovski (Радослав Ненчовски).
  • Added Hebrew translation, by Gil Bar-Shlomo (גיל בר-שלמה).
  • Updated the Polish help file.

v5.2.1 (September 10, 2016)

  • Hotfix: disabling the thumbnail preview on hover caused the preview to not be displayed when clicking on a combined taskbar group.

v5.2 (September 9, 2016)

  • Added support for the Windows 10 Anniversary Update (build 14393).
  • Added the following supported values for the Mouse Button Control advanced options:

volumeicon - allows to customize actions for volume tray icon click.

showdesktop - allows to customize actions for the Show Desktop button.

  • Implemented the virtual_desktop_order_fix advanced option for Windows 10. The option preserves the order of the taskbar buttons when switching between virtual desktops.
  • Implemented the tray_icons_padding advanced option for Windows 10.
  • Fixed the multipage_wheel_scroll advanced option, which didn't work when the mouse was over the empty space of the taskbar.
  • Updated tray icon, with anti-aliasing and better support for high DPI.

The icon was designed by Daniel Beardsmore. Thanks!

  • Added Slovak translation, by Vladimír Kubala.
  • Other minor fixes and improvements.

v5.1 (December 4, 2015)

  • Added support for The First Major Update of Windows 10 (build 10586).
  • Fixed rearranging of Taskbar Inspector items when the scrollbar is visible.
  • Windows 10: when using the disable_topmost option, bring the taskbar to the foreground when the Windows key is pressed.
  • Improved the English dialog for high DPI.
  • Fixed: when closing a window with a middle click, if the window had an "are you sure?" message, the tweaker didn't always bring it to the foreground.

v5.0 (August 22, 2015)

  • Windows 10 support.

I want to thank everybody who donated for the porting effort : Mike T, Fraser Ntukula , and other contributors .

  • Fixed compatibility with the KB3072318 update for Windows 8.1.
  • Improved compatibility of pinned items with the option to disable grouping.
  • Added the disable_tray_icons_drag advanced option, which disables the drag operation of notification area items, i.e. makes reordering of items impossible.
  • Added the w10_large_icons advanced option, which changes taskbar icon sizes from 24x24 to 32x32 on Windows 10.
  • Added the cycle_same_virtual_desktop advanced option, which tweaks the Left click on combined item option to cycle only through windows that belong to the current virtual desktop.
  • Added a new option for the disable_taskbar_transparency advanced option, which allows to use the basic theme taskbar color (Windows 7).
  • Added Mouse Button Control options to maximize/restore a taskbar item, and to maximize/restore all buttons of a group.
  • Improved the no_width_limit advanced option to work for multiple monitors.
  • Fixed the disable_items_drag advanced option, which caused the thumbnail previews to not appear.
  • Fixed: when the disable_topmost advanced option was on, the start button could get stuck in hovered state on Windows 7.
  • A custom icon ("7+ Taskbar Tweaker.ico", if exists) is now applied for the main window as well.
  • Korean translation, by Metrics Spec.

v4.5.10 (April 7, 2015)

  • Added an automatic update feature, which can be enabled from the settings dialog.
  • Added the disable_items_drag advanced option, which disables the drag operation of taskbar items on the task list.
  • The tweaker now prevents explorer from changing AppIDs of folder windows when the current AppID is a random AppID (random_group_xxxxxxxx). This does not work if the folder window runs in a separate process.
  • Fixed: sometime decombining didn't work when taskbar animations are disabled.
  • Fixed an issue of the MinHook library, which could prevent the tweaker from working.
  • Fixed several crashes.

v4.5.8 (February 27, 2015)

  • Quick fix: fixed an incompatibility with several other tweaking programs.

v4.5.7 (February 26, 2015)

  • Added the no_start_btn_spacing advanced option, which allows to control the spacing size when the start button is hidden.
  • Added a new advanced option, right_drag_toggle_labels, which was always turned on with the "Drag within/between groups using right mouse button" option.
  • Added a new advanced option, show_desktop_on_hover, which makes the taskbar to show desktop when a file is dragged over it (similar to Windows XP).
  • Improved the disable_topmost advanced option in Windows 7.
  • If the file "7+ Taskbar Tweaker.ico" exists, it's used as a tray icon.
  • Finnish translation of the program and the help file, by Viligg.
  • Small fixes.

v4.5.6 (November 22, 2014)

  • Added the "disable_taskbar_transparency" advanced option.
  • Added the "always_show_tooltip" advanced option, which forces a tooltip to be shown on hover, even if the text fits the taskbar button.
  • Improved startup time for the case when only specific, lightweight options are used.
  • Fixed a possible crash.

v4.5.5 (October 31, 2014)

  • Made 7+ Taskbar Tweaker compatible with the 7+ Taskbar Tweaking Library .
  • Mouse Button Control: added options to minimize/close all items of a button group.
  • Fixed a crash with the "Middle click -> Minimize" option, which wasn't completely fixed in v4.5.4.
  • Improved the "disable_topmost" advanced option.

v4.5.4 (October 4, 2014)

  • Fixed the "Combining" option.
  • Fixed a crash with the "Middle click -> Switch to", "Middle click -> Minimize" options.
  • Fixed: the combination of the "Middle click" and "Left click on combined item" options didn't work correctly.

v4.5.3 (October 2, 2014)

  • Fixed a crash (Windows 8.1 Update 1 was not affected).

v4.5.2 (October 1, 2014)

  • Improved support for taskbar items of Metro applications.
  • Improved the disable_topmost advanced option.
  • Implemented an additional configuration setting for the disable_topmost advanced option, which allows to configure maximized windows to overlap the taskbar.
  • Improved the "Decombine: Active group" option when interacting with the task list (e.g. with a middle click).
  • Improved compatibility of Mouse Button Control advanced options with the following options: Pinned items -> Open with double click, Left click on combined item -> Cycle through windows.
  • Fixed: the scroll_maximize_restore advanced option didn't work correctly for IE (and probably for other programs which use multiple thumbnail previews for a single window).
  • Fixed a crash.

v4.5.1 (June 27, 2014)

  • New advanced option: disable_topmost, which allows you to make the taskbar non-topmost.
  • New advanced option: multirow_equal_width, which forces the items on every row of a multirow taskbar to have the same width.
  • New advanced option: scroll_maximize_restore, which extends the "minimize/restore when mouse is over..." option to switch between minimize/restore/maximize.
  • Fixed a crash for the drag_towards_desktop=5 advanced option on Windows 8.1 Update 1.

v4.5 (May 10, 2014)

  • Windows 8.1 Update 1 support.

I want to thank everybody who donated for the porting effort : Charles George, Justin Shillock (Platypus Man), and other contributors .

  • Improved compatibility with the "focus follows mouse" accessibility option.
  • Fixed a bug which prevented the thumbnail preview from closing under certain circumstances.
  • Fixed a rare bug when the shift or ctrl key became stuck.
  • Fixed: the main dialog didn't look correctly with the classic theme (Windows 7) for the following languages: Czech, German, Italian, Polish, Russian.
  • Fixed: explorer could crash under certain circumstances.

v4.4.6 (February 22, 2014)

  • Fixed the list_reverse_order advanced option for cases where the list contains lots of items and scrolling arrows are added.
  • Fixed, when using mouse wheel volume control: if a dialog other than the volume control is open (e.g. the Volume Mixer), mouse scroll didn't bring it to front.
  • Added a short delay before checking for an update. This might have fixed a crash which occurred when the PC woke up.
  • Fix: after clicking on the taskbar, volume control was launched even if the mouse is not inside the taskbar.
  • Fix: some windows couldn't be restored from the minimized state.
  • Japanese translation, by milksizegene.

v4.4.5 (January 5, 2014)

  • Hotfix: tray clock wasn't responsive to mouse hover events.

v4.4.4 (January 4, 2014)

  • New advanced option: list_reverse_order, which allows to reverse the displaying order of items in the preview list. To be used with the option Hovering -> List.
  • New advanced option: w7_show_desktop_classic_corner, which fixes a bug of Windows 7: when the classic theme is used, clicking on the screen corner where the "Show desktop" button is located doesn't activate the button.
  • Mouse Button Control: options to cycle through windows by clicking the empty space of the taskbar.
  • When the Task Switcher window (Alt+Tab) is open, mouse scroll events aren't being captured by the taskbar.

v4.4.3 (December 17, 2013)

  • Fixed: on Windows 8/8.1 64-bit, clicking on a decombined button opens thumbnail preview instead of switching to the corresponding window.
  • Fixed: the no_width_limit advanced option didn't work on Windows 7 if the start button was hidden.

v4.4.2 (December 15, 2013)

  • New advanced option: tray_icons_padding, which allows to customize the horizontal padding between icons in the notification area.
  • New advanced option: no_width_limit, which removes the minimum width limitation of the vertical taskbar.
  • When the option to open pinned items with a double click is turned on, it's now possible to launch applications with Shift+click as well.
  • Advanced options now have more priority than regular options, e.g. if you customize the same key in the main window and in the Advanced Options Editor, the latter will apply.
  • The installer launches the tweaker as non-elevated, even if the installer itself was run as administrator.
  • Bug fixes.

v4.4.1 (November 29, 2013)

  • New advanced option: show_desktop_button_size, which allows to customize the size of the "Show desktop" button.
  • Mouse Button Control: an option to terminate the process associated with a specific window.
  • The Advanced Options Editor is now modeless, i.e. doesn't block the main window.
  • Fixed a serious bug which could lead to a crash or a failure to initialize if both:

1. More than one instance of the tweaker is being used on the PC (e.g. multiuser environment).

2. One or more of the "Mouse wheel" options is being used.

  • Minimal support for SysInternals Desktops.

v4.4 (November 12, 2013)

  • New option: Hide the Start button.
  • New option: Show Start menu/Start screen on double/middle click on the empty space.

This option is also available for the Mouse Button Control and Keyboard Shortcuts advanced options.

  • Advanced Options Editor. (See Advanced options in help file for more details.)
  • New advanced option: drag_towards_desktop, which was available as a check box.

It's not available from the main interface anymore, but the new option provides more customization.

  • Mouse Button Control: an option to show thumbnail previews.
  • Fixed: the window background was shown in high contrast mode.
  • Fixed: volume control sometimes appeared in a wrong location.

v4.3.1 (October 18, 2013)

  • New registry option that allows to hide the start button (currently works only for Windows 8.1).
  • New registry option that allows to scroll a multipage taskbar with the mouse wheel.
  • Improved tooltips on hover: removed delay after the first tooltip.
  • Fixed: Taskbar Inspector doesn't overlap the taskbar when it's set to auto-hide.
  • Arabic translation, by Cyb3r.

v4.3 (October 4, 2013)

  • Windows 8.1 support.
  • Taskbar Inspector: you can use Ctrl+C to copy selected items as text.
  • New registry options, scroll_reverse_cycle and scroll_reverse_minimize, which allow you to reverse the mouse wheel direction for certain tweaks.
  • Fixed a bug that caused taskbar icons to flicker for certain configuration when the taskbar is full.
  • Fixed a bug that could cause explorer to hang when Taskbar Inspector is open.
  • Fixed: Mouse Button Control options didn't work for X1/X2 mouse buttons, and sometimes didn't work correctly for double clicks.

v4.2.7 (July 18, 2013)

  • Labels on thumbnails are now displayed for items that were set to never show labels on the taskbar.
  • Added a new registry option, always_show_thumb_labels, which makes labels on thumbnails always visible.
  • Greek translation, by George Georgiou (Γιώργος Γεωργίου).

v4.2.6 (June 02, 2013)

  • Improved closing with a middle click - if a notification is shown before closing, the window is brought to the foreground.
  • Improved handling of hung windows.
  • Fixed a possible crash caused by the "When not grouping, place new items next to the existing ones" option.

v4.2.5 (May 14, 2013)

  • Added Keyboard Shortcuts advanced options. See help for more details.
  • Improved reordering between groups using the right mouse button.
  • When closing a window with a middle click, allow it to gain focus.
  • Fixed the tooltip volume control registry option.
  • Added access key shortcuts (Alt+X) to the tray icon right click menu.

v4.2.4 (April 30, 2013)

  • Made volume control compatible with the Volume Mixer.
  • Reverted a fix for Windows 7, which appears to be incompatible with other apps such as QTTabBar (now available as a registry option).
  • Fix: the option to not show jump list when dragging made thumbnails appear in an incorrect position.

v4.2.3 (April 26, 2013)

  • Registry option: fix taskbar buttons rearrangement caused by hung windows. Enabled by default.

More information .

  • Turkish translation of the help file, by Fatih Fırıncı.
  • Fix: use a more reliable injection method. Previously, the tweaker could silently fail to inject.
  • Fix: wait until explorer is completely initialized before attempting to inject.

v4.2.2 (April 16, 2013)

  • Fixed a serious bug that could lead to an explorer crash when Taskbar Inspector is open.
  • Turkish translation update.

v4.2.1 (April 14, 2013)

  • Fix: apply correct width when showing seconds on the tray clock. Mostly affects users of classic theme with small icons preference.
  • Registry option: fix clock width, which is wider than it should be, when using small icons.

v4.2 (April 13, 2013)

  • New option: Display seconds on the tray clock.
  • New option: Don't show jump list when dragging a taskbar item towards the desktop.
  • Simplified Chinese translation of the help file, by horan.
  • Improved the "decombine active group"/"decombine on mouse hover" options compatibility with jump lists.
  • Improved the injection method.
  • Small fixes.

v4.1.8 (April 1, 2013)

  • Quick fix: clicking the clock doesn't work on Windows 7.

v4.1.7 (April 1, 2013)

  • Macedonian translation, by Милан Велковски.
  • Small fixes.

v4.1.6 (March 23, 2013)

  • Right Click -> Standard window menu: Applies for keyboard as well (Windows + T -> Menu key).
  • Mouse Button Control: Fixed double click control (See help for more information about the option).

v4.1.5 (February 22, 2013)

  • Serbian translation, by ozzii (оззии).

v4.1.4 (February 9, 2013)

  • Ukrainian translation, by Ura Chorniy (Юра Чорний).
  • Czech translation, by Drusilla Peterek and Stepan Hasler.
  • Polish translation of the help file, by Artur Łukasik (MAURYCY).
  • Latvian, Polish, and Russian translation updates.

v4.1.3 (January 25, 2013)

  • Dutch translation of the help file, by Frank Meijer.

v4.1.2 (January 18, 2013)

  • Detect target version from explorer's version info, not from the OS. Now the tweaker works with exotic stuff like Windows 7 explorer on Windows 8 .
  • Slovenian translation update.

v4.1.1 (December 18, 2012)

  • Hungarian translation, by Tóth Ádám.
  • German translation of the help file, by Daniel Reiners, the first hero to translate the whole help file!

v4.1 (December 14, 2012)

  • A help file.
  • Update notification: A checkbox for not notifying about a particular version.
  • Latvian translation, thanks Aigars Jacmenkins!
  • Windows volume control (SndVol.exe) runs in higher priority for better performance.
  • Fixed right drag detach on vertical taskbar ("Drag within/between groups using right mouse button" option).
  • Rebuilt the portable launcher to support older processors (versions 4.0.4 to 4.0.10 supported only processors with SSE2 instruction set).

v4.0.10 (October 17, 2012)

  • Fixed a bug that could cause a crash.

v4.0.9 (September 26, 2012)

  • Fixed the always-combine option and combining per Application ID in several situations.

v4.0.8 (September 18, 2012)

  • Improved the always-combine option and combining per Application ID (fixes combining with a vertical taskbar).
  • Fixed a possible crash when clicking on a pinned item.
  • Dutch translation, thanks Frank Meijer!

v4.0.7 (September 2, 2012)

  • Rebuilt the tweaker to support older processors (versions 4.0.4, 4.0.5, 4.0.6 supported only processors with SSE2 instruction set).

v4.0.6 (September 1, 2012)

  • Fixed the decombine-on-active-group option, which caused a crash.

v4.0.5 (September 1, 2012)

  • Fix: The decombine-on-mouse-hover option didn't work correctly with show-labels on.

v4.0.4 (September 1, 2012)

  • Improved the decombine-on-mouse-hover option, which also fixes a potential crash.
  • Fix: It's now possible to interact with the tray icon when update notification balloon is visible.
  • Language update: Slovenian.

v4.0.3 (August 26, 2012)

  • The tweaker shows you a changelog before updating.
  • Taskbar Inspector: A per-AppID option to group pinned items.
  • Improved interaction with sndvol.exe, making volume controlling more robust.
  • Fix: The "When not grouping, place new items next to the existing ones" option didn't work with pinned items.
  • New language: Traditional Chinese, thanks HJL!

v4.0.2 (August 17, 2012)

  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option (this time, hopefully, for real).

v4.0.1 (August 16, 2012)

  • Made the "Double/Middle click on empty space" -> "Ctrl+Alt+Tab" work as expected on Windows 7.
  • Added the option "Double/Middle click on empty space" -> "Ctrl+Win+Tab" for Windows 7. If aero is off or the tweaker runs on Windows 8, the option works like "Ctrl+Alt+Tab".
  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option.

v4.0 (August 12, 2012)

  • New program name: 7+ Taskbar Tweaker.
  • Windows 8 support.
  • General stability improvements and bug fixes.

v3.4.3 (April 20, 2012)

  • Simplified Chinese translation, thanks horan.
  • Option: Toggle taskbar auto-hide on double/middle clicking the taskbar's empty space.
  • Some minor improvements and fixes.

v3.4.2 (April 8, 2012)

  • Fix: A Taskbar Inspector bug in the 64-bit version.
  • Less disturbing update notification.
  • Volume scrolling: If system is muted, the slider shows up, but you must leave the taskbar to unmute it.

v3.4.1 (March 23, 2012)

  • Language updates.
  • Fix: If decombine on mouse hover is on, group combines when closing with middle click.

v3.4 (February 27, 2012)

  • Option: Thumbnails reordering by mouse dragging.

This option was requested since the first version of the tweaker, so here you go.

  • Option: Left click on combined item -> Open last window if inactive, otherwise open thumbnail preview.

Suggested by mathrick .

  • Option: Toggle mute system volume on empty space double/middle click.
  • Update checker.

Now the tweaker automatically checks for new versions, and allows you to update with one click.

v3.3.2 (February 5, 2012)

  • Fixed: Taskbar Inspector size didn't get saved.
  • Fixed a crash in the 64-bit version.
  • Added a Version Info resource.
  • Other small fixes.

v3.3.1 (January 15, 2012)

  • Some small fix.

v3.3 (January 15, 2012)

  • Option: Left click on the active thumbnail minimizes the window.

Windows 7's taskbar provides no easy way to minimize a window in a combined item. The whell scroll options help here, but when a mouse wheel is not available (e.g. a laptop), they don't help much. The new option provides a way to minimize the active window by clicking on it's thumbnail.

  • Fix: Multiple thumbnails now show up when grouping is disabled.

This bug existed since the first version of the tweaker. When grouping was disabled programs which used to show multiple thumbnails for a single window (like IE and it's thumbnails for tabs) showed only one thumbnail.

  • Italian language. Thanks vfede!

v3.2.1 (December 17, 2011)

  • When volume is muted, the volume control does not show up with mouse scroll.
  • If mouse scroll volume control is on, middle clicking the volume control tray icon toggles volume mute.
  • Fixed the autorun setting of the portable version.

v3.2 (December 3, 2011)

  • A portable version.

From the setup wizard, you can choose to install the tweaker normally or to extract the portable version. The portable version works for both 32 and 64 bit systems.

  • Option to change system volume by scrolling.

You can choose to enable this option for the notification area or for the whole taskbar.

  • Option to open ungrouped items nearby.

In case you disabled grouping for some (or all) of the taskbar items, you have now the option to open them one near the other.

  • Alphabetically sorting of items in a group.
  • Brazilian Portuguese language. Thanks Carlos!

v3.1.1 (November 27, 2011)

  • Languages updated, Portuguese was added (thanks Carlos).

v3.1 (November 13, 2011)

  • More taskbar item hover options.

Now you can choose to show a list instead of the thumbnail preview, show a tooltip (shows only if the title doesn't fit), or show nothing at all.

  • More combining options.

You can choose to combine (or not) your taskbar items. Also, you can set per Application ID rules for combining in Taskbar Inspector.

  • New option: Reserve empty space on taskbar.

The tweaker has options for middle/double clicking the taskbar's empty space. It works great except when the taskbar gets full. This option reserves a little square at the end of the task list, where you can always double/middle click.

  • New option: Hide the "Show desktop" button.

This option was requested several times, so here you go.

  • Small fixes.

The most notable of which is that the thumbnail preview does not get closed when you minimize with the mouse wheel.

v3.0.2 (November 11, 2011)

  • Improved compatibility with programs that use global mouse hook, such as WizMouse.

See details here .

  • Reversed scrolling direction for minimizing/restoring with mouse wheel if the taskbar is on top.

http://rammichael.com/7-taskbar-tweaker-v3-0/comment-page-1#comment-1058

v3.0.1 (November 11, 2011)

  • Fixed a bug with "Decombine active group" option.

v3.0 (October 22, 2011)

  • Mouse wheel options:

You can scroll between taskbar items with the mouse wheel, as well as minimize/restore a window when hovering a taskbar item or a thumbnail.

  • Decombining the active group.

This option will keep the currently active group decombined, similarly to the "decombine on mouse hover" feature.

  • New interface logic.

The options are now divided into three categories: Taskbar items, Grouping and combining, and Other, which will make it easier for you to navigate through them, and will make it easier for me to add new options. Special thanks to Arcyon for giving me some tips about the interface.

  • Improved stability.

The previous versions had some flaws regarding thread safety. This could rarely lead to a crash, a Taskbar Inspector window that does not close, or some other issue. The new version fixes these.

v2.1 (June 15, 2011)

  • Multiple Languages support.
  • A several-times-requested feature to open pinned items with double click to avoid accidental clicking.
  • The tweaker is now compatible with Dexpot's SevenDex feature. Note that if you use the "Don't group" tweaker option, force SevenDex's Application ID to group for the thumbnails to show up correctly.
  • The installer works on Windows Server 2008 R2. I did not actually test the tweaker on this OS, but I've heard it works, so here you go.

v2.0 (April 18, 2011)

  • An option to drag within groups, which enables you to group your taskbar items the way you want to using the right mouse button.

There's a bonus coming with that feature: you can scroll your mouse wheel while holding the right mouse button to show/hide labels of the group under the mouse.

  • The tweaker is distributed within a setup package.

v1.8 (February 18, 2011)

  • The decombine-on-hover feature introduced in v1.7 can also show labels when decombining.
  • Taskbar Inspector can now be opened by left clicking the tray icon.
  • The "Left click on grouped item" function is back. Although the tweak can be enabled through the registry , people wanted it back in 7TT, so here it is.

v1.7 (January 7, 2011)

  • New option: Decombine on hover.
  • New option: Make pinned items smaller.
  • Removed option: "cycle through windows option" on "left click on grouped button".

v1.6 (December 11, 2010)

  • 7 Taskbar Tweaker allows you to change Application IDs in order to group any items you want.
  • You can choose which Application IDs should have label, and which should not.
  • You can cascade/tile multiple windows.

v1.5 (November 27, 2010)

  • Taskbar Inspector:

1. Reorder items within a group.

2. Per Application ID grouping options.

3. Multiple window closing.

  • New option: Minimize taskbar items on middle click.
  • New option: Show desktop or open the Alt+Tab window (Ctrl+Alt+Tab) by double or middle clicking the empty space on the taskbar.

v1.0 (September 30, 2009)

  • First public version.


Modyfikacje

Modyfikacje zostały podzielone na trzy oddzielne sekcje:

  • Funkcje elementów paska zadań

Funkcje te kontrolują zachowanie elementów paska zadań po ich podświetleniu, kliknięciu prawym przyciskiem lub kółkiem myszy, przeciągnięciu elementu na pasek zadań itp.

  • Grupowanie i scalanie elementów

Zarządza grupowaniem, pozwala na przenoszenie elementów pomiędzy grupami, wymusza lub całkowicie wyłącza scalanie elementów itp.

  • Pozostałe opcje paska zadań

Wprowadza funkcje wywoływane ruchem kółka myszy (jak np. zmiana głośności), opcje po kliknięciu w pusty obszar paska zadań itp.


Funkcje elementów paska zadań

Modyfikacje ››

Terminologia

Opcje

  • Klik prawym przyciskiem myszy
  • Klik kółkiem myszy
  • Przeciągnięcie na pasek zadań
  • Po podświetleniu kursorem
  • Miniatury
  • Przypięte elementy


Klik prawym przyciskiem myszy

Modyfikacje ›› Funkcje elementów paska zadań ››

Definiuje rodzaj menu pojawiającego się po kliknięciu prawym przyciskiem myszy w element paska zadań:

  • Jump lista (domyślnie)

  • Standardowe menu okna

Wskazówka

Przytrzymaj klawisz Shift podczas kliknięcia prawym przyciskiem myszy aby pojawiło się inne menu.


Klik kółkiem myszy

Modyfikacje ›› Funkcje elementów paska zadań ››

Definiuje akcję wywoływaną kliknięciem kółkiem myszy w element paska zadań.

Np. jeżeli chcesz zamykać okna, programy itp. podobnie jak zamyka się karty w przeglądarce internetowej, czyli poprzez kliknięcie kółkiem myszy, to wybierz opcję "Zamknij":

  • Powiel okno/program (domyślnie)
  • Pokaż
  • Minimalizuj
  • Zamknij


Przeciągnięcie na pasek zadań

Modyfikacje ›› Funkcje elementów paska zadań ››

Definiuje akcję wywoływaną przeciągnięciem elementu na pasek zadań:

  • Przypnij do... (domyślnie)

  • Otwórz za pomocą...

Wskazówka

Przytrzymaj klawisz Shift podczas przeciągania elementu na pasek zadań aby wywołać inną akcję.


Po podświetleniu kursorem

Modyfikacje ›› Funkcje elementów paska zadań ››

Definiuje podgląd elementu paska zadań pokazywany po podświetleniu go kursorem:

  • Pokaż podgląd miniatury (domyślnie)

  • Lista

  • Dymek

  • Bez akcji


Miniatury

Modyfikacje ›› Funkcje elementów paska zadań ››

Kliknij lewym przyciskiem myszy i przeciągaj aby zmieniać ich kolejność

Pozwala na zmianę kolejności podglądu miniatur na pasku zadań.

Uwaga

Zazwyczaj zmiana kolejności podglądu miniatur niesie za sobą jednoczesną zmianę kolejności przycisków paska zadań, jednak nie zawsze. Jeżeli jeden program używa wielu podglądów miniatur (np. Internet Explorer, który jako miniatury wykorzystuje podgląd otwartych kart), wtedy nie wszystkim miniaturom odpowiada przycisk na pasku zadań, w związku z czym zmiana kolejności miniatur nie wpływa na zmianę kolejności przycisków.

Klik lewym na aktywnej miniaturze minimalizuje okno

Pozwala minimalizować okno po kliknięciu lewym przyciskiem myszy w aktywną miniaturę.


Przypięte elementy

Modyfikacje ›› Funkcje elementów paska zadań ››

Ściśnij ikony odzyskując miejsce

Pozwala zredukować wolne miejsce pomiędzy przypiętymi elementami paska zadań, dzięki czemu zmieści się ich więcej.

Przed

Po

Uwaga

Opcja nie przynosi efektu przy ustawieniu pionowego paska zadań.

Otwórz podwójnym kliknięciem

Wywołuje element przypięty do paska zadań dopiero po podwójnym kliknięciu zamiast po domyślnym pojedynczym.

Zapobiega to przypadkowemu kliknięciu, które powoduje natychmiastowe włączenie programu.


Grupowanie i scalanie elementów

Modyfikacje ››

Terminologia

Opcje

  • Grupowanie
  • Scalanie
  • Klik lewym na scalonych elementach


Grupowanie

Modyfikacje ›› Grupowanie i scalanie elementów ››

W Windows 7 i nowszych każde okno ma swój Application ID (zwane ID aplikacji lub AppID). Jeżeli AppID nie jest zdefiniowane przez samą aplikację, AppID prowadzi do ścieżki obrazu aplikacji.

Domyślnie przyciski paska zadań są grupowane według AppID okien. Ta opcja pozwala na zmianę tego zachowania:

  • Grupuj po ID aplikacji (domyślnie)

  • Nie grupuj

Wskazówka

Istnieje możliwość kontroli grupowania wg AppID za pomocą Taskbar Inspector .

Otwieraj obok

Jeżeli grupowanie jest wyłączone, nowo otwarte przyciski paska zadań pojawiają się na jego końcu. Włączenie tej opcji powoduje, że pojawiają się one obok elementów, z którymi by się zgrupowały jeżeli grupowanie pozostałoby standardowo włączone.

Dla łatwiejszego zrozumienia:

Jeżeli otworzysz drugie okno Notatnika przy domyślnych ustawieniach paska zadań to otrzymasz:

Jeżeli wyłączysz grupowanie to otrzymasz:

Jeżeli wyłączysz grupowanie, ale zaznaczysz opcję "Otwieraj obok", wtedy otrzymasz:

Nie grupuj przypiętych do paska

Każdy element przypięty do paska zadań ma swój AppID, tak samo jak przyciski paska zadań. Domyślne zachowanie jest takie, że podczas tworzenia przycisku paska zadań (otwarcie programu, pliku itp.) zawierającego taki sam AppID jak element przypięty do paska zadań, nowo otwarty przycisk (program, plik itp.) zajmuje na pasku zadań miejsce elementu przypiętego. Zaznaczenie opcji "Nie grupuj przypiętych do paska" spowoduje, że nowo otwarty przycisk (program, plik itp.) pojawi się na końcu paska zadań, nie zastępując miejsca elementu przypiętego o tym samym AppID.

Dla łatwiejszego zrozumienia:

Masz przypięty Notatnik do paska zadań:

Domyślnie, po otwarciu Notatnika (lub np. jakiegokolwiek pliku .txt) otrzymasz:

Jeżeli zaznaczysz opcję "Nie grupuj przypiętych do paska" otrzymasz:

Wskazówka

Istnieje możliwość kontroli grupowania przypiętych elementów do paska zadań wg AppID za pomocą Taskbar Inspector .

Przeciągaj wewnątrz / pomiędzy grupami używając prawego przycisku myszy

Niniejsza opcja pozwala zmieniać pozycję przycisków na pasku zadań przytrzymując wciśnięty prawy przycisk myszki i ruszając kursorem:

  • Przy przeciąganiu wewnątrz grupy zmienia się pozycja przycisku paska zadań wewnątrz tej grupy.
  • Przy przeciąganiu na inny element paska zadań (poza grupą) nastąpi zgrupowanie przeciąganego elementu z elementem docelowym.
  • Przy przeciąganiu przycisku poza listę paska zadań nastąpi utworzenie nowej grupy.


Scalanie

Modyfikacje ›› Grupowanie i scalanie elementów ››

W zależności od ustawień systemowych, grupa przycisków paska zadań może być scalona lub nie.

Ta opcja pozwala dostosować to zachowanie:

  • Użyj ustawień systemowych (domyślnie)

Zawsze scalaj, ukryj etykiety:

Nigdy nie scalaj:

  • Scalaj zgrupowane elementy

Zawsze scalaj, ukryj etykiety:

Tak samo jak domyślnie.

Nigdy nie scalaj:

  • Nie scalaj zgrupowanych elementów

Zawsze scalaj, ukryj etykiety:

Nigdy nie scalaj:

Tak samo jak domyślnie.

Uwaga

  • Ta opcja nie działa jeśli w systemowych ustawieniach paska zadań wybrana została funkcja "Scalaj, gdy pasek zadań jest pełny".
  • Istnieje możliwość kontroli scalania elementów wg AppID za pomocą Taskbar Inspector .

Rozwijanie:

Te opcje pozwalają rozwinąć scalone grupowe elementy w przypadku:

  • Pozostaw grupę rozwiniętą po wybraniu elementu z tej grupy

Kiedy jedno z okien scalonej grupy stanie się aktywne, grupa pozostaje rozwinięta.

  • Po podświetleniu kursorem

Kiedy zostanie podświetlona kursorem scalona grupa, ta grupa rozwinie się.

...pokaż jednocześnie etykiety

Jeżeli jest ta opcja zaznaczona, po podświetleniu kursorem scalonej grupy oprócz rozwinięcia zostaną również pokazane etykiety.


Klik lewym na scalonych elementach

Modyfikacje ›› Grupowanie i scalanie elementów ››

Definiuje akcję wywoływaną kliknięciem lewym przyciskiem myszy na scalonych elementach:

  • Pokaż miniatury (domyślnie)
  • Zmieniaj aktywne okno wewnątrz grupy
  • Gdy scalone elementy są nieaktywne: otwiera ostatnie okno. Gdy scalone elementy są aktywne: wyświetla miniatury.

Wskazówka

Przytrzymaj klawisz Ctrl podczas kliknięcia lewym przyciskiem myszy na scalonych elementach, aby wywołać inną akcję.


Pozostałe opcje paska zadań

Modyfikacje ››

Opcje

  • Ruchy kółkiem myszy
  • Podwójny klik / klik kółkiem na pustym pasku
  • Inne


Ruchy kółkiem myszy

Modyfikacje ›› Pozostałe opcje paska zadań ››

Przełączaj pomiędzy elementami

Jeśli ta opcja jest zaznaczona, a kursor myszy umieszczony jest nad paskiem zadań, ruchy kółkiem myszy powodują przywoływanie kolejnych okien.

Pomijaj zminimalizowane okna

Jeśli ta opcja jest zaznaczona, zminimalizowane okna będą pomijane podczas przywoływania kolejnych okien.

Minimalizuj/przywracaj kiedy wskaźnik:

Ta opcja umożliwia minimalizowanie/przywracanie okien poprzez ruchy kółkiem myszy kiedy wskaźnik myszy:

  • Podświetla element na pasku zadań
  • Podświetla miniaturę

Zmieniaj głośność kiedy wskaźnik myszy jest na obszarze:

Jeśli ta opcja jest zaznaczona, a kursor myszy umieszczony jest nad niżej wybranym obszarem, ruchy kółkiem myszy powodują zmianę głośności. Kursor może być umieszczony na obszarze:

  • Paska zadań
  • Ikon systemowych (tray)

Wskazówka

Jeśli jedna z powyższych opcji jest zaznaczona, klik kółkiem myszy w systemową ikonę głośności włącza/wyłącza (wycisza) głośniki.


Podwójny klik / klik kółkiem na pustym pasku

Modyfikacje ›› Pozostałe opcje paska zadań ››

Poniższe opcje odnoszą się do pustego miejsca na pasku zadań:

Domyślnie podwójny klik / klik kółkiem myszy na pustym pasku zadań nie wywołuje żadnego zdarzenia.

Poniższe opcje pozwalają wybrać akcję jakie wywoła kliknięcie:

  • Bez akcji (domyślnie)
  • Pokaż pulpit
  • Ctrl+Alt+Tab
  • Menedżer zadań Windows
  • Taskbar Inspector
  • Wycisz wszystkie dźwięki
  • Włącz autoukrywanie paska zadań
  • Win+Tab / Ctrl+Win+Tab
  • Menu Start/Ekran startowy


Inne

Modyfikacje ›› Pozostałe opcje paska zadań ››

Ukryj przycisk Start

Ukrywa przycisk start.

Aby otworzyć menu Start w Windows 7 - kliknij w narożnik, w którym znajdował się przycisk Start.

Aby otworzyć ekran startowy w Windows 8.1 - kliknij w lewy dolny róg ekranu.

Oczywiście ta opcja nie przynosi efektu w Windows 8, ponieważ ten system domyślnie nie posiada przycisku Start.

Przed

Po

Ukryj przycisk "Pokaż pulpit"

Ukrywa przycisk "Pokaż pulpit" znajdujący się na końcu paska zadań.

Przed (wciśnięty przycisk myszy)

Po

Wyświetl sekundy na zegarze w zasobniku

Włączenie tej opcji spowoduje wyświetlanie sekund na zegarze znajdującym się na pasku zadań w zasobniku.

Pozostaw trochę wolnego miejsca na pasku zadań

Program posiada opcję Podwójny klik / klik kółkiem na pustym pasku . Działa to dobrze dopóty, dopóki pasek zadań nie jest zapełniony. Ta opcja rezerwuje mały obszar wolnego miejsca na końcu paska zadań, aby zawsze można było skorzystać z powyższej funkcji.

Przed

Po


Taskbar Inspector

Taskbar Inspector to swego rodzaju lista wszystkich elementów znajdujących się w danej chwili na pasku zadań.

Wskazówka

Przytrzymanie klawiszy Ctrl+Shift podczas włączania Taskbar Inspector otwiera listę w trybie "Zawsze na wierzchu", czyli jest wyświetlana na pierwszym planie przed wszystkimi innymi oknami. Aby zamknąć listę należy przycisnąć klawisz Escape.

Identyfikatory aplikacji (Application IDs)

Każda pozycja na liście elementów poprzedzona ikoną strzałki reprezentuje unikalny identyfikator aplikacji AppID.

Pozycja ta może zawierać podległe jej pozycje (okna), czyli odpowiadające jej aktualne przyciski na pasku zadań.

Dla przypiętych elementów paska zadań, AppID nie ma na liście podległych sobie pozycji.

Dla przycisków paska zadań, AppID ma na liście jedną podległą sobie pozycję.

Dla grupy elementów paska zadań, AppID ma na liście wiele podległych sobie pozycji.

Podwójny klik na elemencie z AppID zaznacza na liście wszystkie podległe jej pozycje.

Klik prawym przyciskiem myszy na elemencie z AppID (jeśli wyłącznie sam element z AppID jest zaznaczony) wyświetla następujące opcje:

  • Pokaż etykietę
  • Grupuj

O grupowaniu poczytaj tutaj .

  • Grupuj przypięte do paska

O grupowaniu przypiętych elementów do paska zadań poczytaj tutaj .

  • Łącz (scalaj)

O scalaniu poczytaj tutaj .

  • Sortuj pogrupowane elementy (dostępne jeśli AppID ma na liście co najmniej dwie podległe sobie pozycje)

Sortuje alfabetycznie podległe sobie pozycje.

Przyciski paska zadań

Elementy na liście podległe pozycji AppID reprezentują przyciski paska zadań.

Przesuwanie (przytrzymując klawisz myszy) przycisków paska zadań zmienia ich pozycje na liście.

Klik prawym przyciskiem myszy pozycji odpowiadającej przyciskowi paska zadań wyświetla następujące opcje:

  • Zmień ID aplikacji

Zmienia AppID wybranej pozycji na liście.

Dodatkowo, oprócz aktualnie dostępnych pozycji AppID, znajdują się dwie opcje specjalne:

    • random_group_[losowy_numer]

Zmienia AppID danego okna na inny losowy numer AppID generowany przez program.

Przyciski paska zadań z tym jednym AppID zawsze się grupują, nawet jeżeli grupowanie jest wyłączone, co czyni łatwym zaznaczenie wielu elementów i zgrupowanie ich razem.

    • (przywróć)

Przywraca AppID do domyślnego.

  • Ułóż okna kaskadowo (dostępne jeśli co najmniej dwa elementy są zaznaczone)
  • Ułóż okna jedno nad drugim (dostępne jeśli co najmniej dwa elementy są zaznaczone)
  • Ułóż okna obok siebie (dostępne jeśli co najmniej dwa elementy są zaznaczone)
  • Przywróć
  • Minimalizuj
  • Maksymalizuj
  • Zamknij


Ustawienia

Uruchom przy starcie

Zaznaczenie tej opcji spowoduje automatyczne uruchomienie programu podczas włączania systemu Windows.

Wskazówka

Powyższa opcja tworzy w systemowym rejestrze nową wartość 7 Taskbar Tweaker znajdującą się w gałęzi:

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run

Wartość ta zawiera ścieżkę do pliku wykonywalnego programu, zakończoną komendą wiersza poleceń -hidewnd.

Sprawdź aktualizację

Zaznaczenie tej opcji pozwoli programowi sprawdzać automatycznie dostępne aktualizacje.

W przypadku dostępnej aktualizacji, na ikonie programu w trayu pojawi się zielona strzałka oraz pojawi się powiadomienie w postaci systemowego balonu.

Po kliknięciu w powiadomienie pojawi się okno aktualizacji, za pomocą którego jednym kliknięciem będzie można przeprowadzić aktualizację programu do nowej wersji.

Możesz również sprawdzić listę zmian (po angielsku) oraz zaznaczyć opcję "Nie informuj więcej o tej wersji", w związku z czym do czasu pojawienia się nowszej wersji program nie będzie powiadamiał o obecnej aktualizacji..

Wskazówka

Program sprawdza dostępność aktualizacji co 24 godziny.

Automatyczna aktualizacja

Zaznaczenie tej opcji spowoduje automatyczne aktualizowanie się programu w tle (w momencie dostępności nowej wersji).

Ukryj ikonę w zasobniku

Zaznaczenie tej opcji spowoduje ukrycie ikony programu w zasobniku.

Jeżeli ikona w zasobniku jest ukryta, a chcesz włączyć okno główne programu, należy uruchomić ponownie program (ze skrótu, z menu start itp.).

Żeby zamknąć program, musisz włączyć pokazywanie ikony w zasobniku.

Klik na ikonie w zasobniku:

Pozwala wybrać które okno ma się pojawiać po kliknięciu lewym przyciskiem myszy ikony w zasobniku:

  • 7+ Taskbar Tweaker
  • Taskbar Inspector

Język

Pozwala wybrać język programu.

Wskazówka

Szczegóły dotyczące tłumaczenia programu na inny język dostępne są w online FAQ .


Zaawansowane

7+ Taskbar Tweaker posiada dodatkowe opcje konfiguracyjne.

Możesz użyć Edytora Opcji Zaawansowanych aby uzyskać dostęp do tych opcji.

Edytor może zostać uruchomiony z menu dostępnego po kliknięciu prawym przyciskiem myszy na ikonie w trayu lub z menu głównego okna systemowego.


OptionsEx

Zaawansowane ››

Poniższe zaawansowane ustawienia pozwalają dostosować główne aspekty działania programu.

Wartości

Nazwa

Dane

always_show_thumb_labels

Domyślnie, podgląd miniatur wyświetla etykiety tylko w przypadku ukrycia etykiet przycisków paska zadań. Ta opcja powoduje wyświetlanie etykiet podglądu miniatur niezależnie od tego czy etykiety przycisków paska zadań są wyświetlane.

0 - Wyłączone (domyślnie)

1 - Włączone

always_show_tooltip

Domyślnie, podczas najeżdżania kursorem na ikonę w zasobniku, chmurka podpowiedzi wyświetla się tylko w przypadku gdy tekst nie mieści się na przycisku. Ta opcja powoduje, że chmurki powiadomień są wyświetlane zawsze.

0 - Wyłączone (domyślnie)

1 - Włączone

cycle_same_virtual_desktop

Naprawia opcję Klik lewym na scalonych elementach , aby zmieniać tylko te okna które należą do obecnego wirtualnego pulpitu. Ta opcja dotyczy

tylko Windows 10 do aktualizacji Anniversary Update, gdzie problem został rozwiązany.

0 - Wyłączone (domyślnie)

1 - Włączone

disable_items_drag

Ta opcja wyłączą operację przeciągania na elementach paska zadań. To oznacza, że zmiana kolejności nie jest już możliwa i jump lista nie pojawia się podczas przeciągania elementu na pulpit.

0 - Wyłączone (domyślnie)

1 - Włączone

disable_taskbar_transparency

Ta opcja pozwala wyłączyć przezroczystość paska zadań.

0 - Brak zmian (domyślnie)

1 - Wyłącz przeźroczystość

2 - Wyłącz przeźroczystość i użyj podstawowego motywu dla paska zadań (Windows 7)

disable_topmost

Domyślnie, pasek zadań jest zawsze na wierzchu. Ta opcja pozwala zmienić to zachowanie.

0 - Zawsze na wierzchu (domyślnie)

1 - Nie zawsze na wierzchu, ale nieprzykryty przez zmaksymalizowane okna

2 - Nie zawsze na wierzchu i przykryty przez zmaksymalizowane okna

disable_tray_icons_drag

Ta opcja wyłącza operację przeciągania elementów na obszarze powiadomień. To oznacza, że zmiana kolejności nie jest już możliwa.

0 - Wyłączone (domyślnie)

1 - Włączone

drag_towards_desktop

Domyślnie, kiedy przesuwasz element paska zadań na pulpit to pojawia się jump lista. Ta opcja pozwala wybrać inną funkcjonalność.

0 - Jump lista (domyślnie)

1 - Włączone

2 - Przełącz na

3 - Minimalizuj

4 - Zamknij

5 - Nowa instancja

6 - Pokaż podgląd miniatur

fix_hang_reposition

System Windows posiada błąd, w przypadku jego wystąpienia okno aplikacji która chwilowo nie odpowiada i zacznie ponownie odpowiadać, przycisk paska zadań odpowiedni do tego okna zamyka się i pojawia ponownie na końcu paska zadań, niezależnie od tego w którym miejscu paska zadań wcześniej się znajdował. Ta opcja naprawia ten błąd.

0 - Wyłączone (domyślnie)

1 - Włączone

list_reverse_order

Podczas ustawiania opcji Po podświetleniu kursorem dla Listy, nowsze elementy są wyświetlane poniżej starszych. Ta opcja pozwala na zmianę kolejności wyświetlania na liście.

Ta opcja działa tylko dla Windows 7, Windows 8 oraz Windows 8.1.

0 - Wyłączone (domyślnie)

1 - Włączone

multipage_wheel_scroll

Kiedy pasek zadań zostaje zapełniony elementami, pojawiają się dodatkowe strony wraz z paskiem przewijania. Ta opcja pozwala na przewijanie pomiędzy wieloma stronami za pomocą kółka myszy.

0 - Wyłączone (domyślnie)

1 - Włączone

multirow_equal_width

Podczas używania paska zadań z wieloma wierszami, ta opcja zmusza elementy w każdym wierszu do utrzymania tej samej szerokości. Ta opcja nie ma wpływu dla elementów grupowanych, scalanych lub przypiętych do paska zadań.

0 - Wyłączone (domyślnie)

1 - Włączone

no_start_btn_spacing

Kiedy opcja Ukryj przycisk Start jest włączona, to ustawienie pozwala manipulować odstępem pomiędzy paskiem zadań a listą zadań. Domyślny odstęp wynosi 13 pikseli dla Windowsa 7 i Windowsa 8.1 oraz zero dla Windowsa 10.

0 - Wyłączone (domyślnie)

Wartość niezerowa - odstęp w pikselach

no_width_limit

Domyślnie, Windows ogranicza minimalną szerokość pionowego paska zadań. Limit ten może wydawać się zbyt restrykcyjny dla niektórych, więc ta opcja usuwa go.

0 - Wyłączone (domyślnie)

1 - Włączone

nocheck_minimize

nocheck_maximize

nocheck_close

Domyślnie, przed operacją minimalizowania/maksymalizowania/zamknięcia okna, program sprawdza czy dane okno wspiera tą operację. Ta opcja pozwala wyłączyć owe sprawdzanie. Zapamiętaj, że włączenie tej opcji może prowadzić do niespodziewanych zachowań okna.

Używane w: opcje kliknięcia kółkiem myszy, opcje ruchu kółkiem myszy, Taskbar Inspector.

0 - Wyłączone (domyślnie)

1 - Włączone

pinned_ungrouped_animate_launch

Jeśli włączona jest opcja Nie grupuj przypiętych do paska , animacja pojawiająca się podczas kliknięcia przypiętego elementu zostaje wyłączona. Ta opcja zapobiega jej wyłączeniu.

0 - Wyłączone (domyślnie)

1 - Włączone

right_drag_toggle_labels

Dodaje dodatkową funkcję do opcji Grupowania . Kiedy ta opcja jest ustawiona, przewijanie kółkiem myszy podczas przytrzymywania jej prawego klawisza pokaże/ukryje etykietę Application ID podświetlonego kursorem przycisku paska zadań.

0 - Wyłączone (domyślnie)

1 - Włączone

scroll_maximize_restore

Rozszerza opcję Ruchy kółkiem myszy o możliwość przełączania pomiędzy minimalizacją/przywróceniem/maksymalizacją.

0 - Wyłączone (domyślnie)

1 - Włączone

scroll_no_wrap

Disables the wrapping around behavior for the cycle between taskbar buttons option.

By default, if the last taskbar button is the active button, cycling further will activate the first button again. This option allows to disable this behavior, so that cycling will stop on the last taskbar button.

0 - Disabled (default)

1 - Enabled

scroll_reverse_cycle

Odwraca kierunek kółka myszy dla opcji Przełączaj pomiędzy elementami .

Domyślnie przewijanie kółkiem w dół przełącza w prawo pomiędzy kolejnymi oknami, a przewijanie kółkiem w górę przełącza w lewo. Ta opcja odwraca te kierunki.

0 - Wyłączone (domyślnie)

1 - Włączone

scroll_reverse_minimize

Odwraca kierunek kółka myszy dla opcji Minimalizuj/przywracaj kiedy wskaźnik .

Domyślnie przewijanie kółkiem w dół minimalizuje okno, a przewijanie kółkiem w górę je przywraca (jeżeli pasek zadań nie znajduje się u góry ekranu). Ta opcja odwraca te kierunki.

0 - Wyłączone (domyślnie)

1 - Włączone

show_desktop_button_size

Pozwala dostosować wielkość przycisku "Pokaż pulpit". Domyślna wielkość wynosi 15 pikseli dla Windowsa 7 i Windowsa 8, 8 pikseli dla Windowsa 8.1 oraz 5 pikseli dla Windowsa 10.

0 - Wyłączone (domyślnie)

Wartość niezerowa - wielkość przycisku w pikselach

show_desktop_on_hover

Ta opcja sprawia, że pasek zadań pokazuje się na pulpicie kiedy plik zostaje przeciągnięty nad pustą przestrzeń listy zadań, analogicznie jak w przypadku przycisku "Pokaż pulpit". Ta funkcjonalność jest podobna do sposobu, w jaki pracował Windows XP.

0 - Wyłączone (domyślnie)

1 - Włączone

sndvol_tooltip

Opcja Ruchy kółkiem myszy wyświetla suwak systemowej aplikacji do zmiany głośności. Ta opcja włącza tooltip zamiast systemowego suwaka.

0 - Wyłączone (domyślnie)

1 - Włączone

tray_clock_fix_width

W przypadku gdy data nie jest wyświetlana w trayu paska zadań (gdy używasz małych ikon), szerokość tego elementu paska zadań jest obliczana tak, jakby data tam mimo wszystko się znajdowała (data jest szersza niż sam zegar). Ta opcja naprawia ten przypadek, w związku z czym element z zegarem zajmuje mniej miejsca.

Problem został oficjalnie rozwiązany wraz z aktualizacją Windows 10 Anniversary Update.

0 - Wyłączone (domyślnie)

1 - Włączone

tray_icons_padding

Pozwala dostosować poziomy odstęp pomiędzy ikonami w obszarze powiadomień.

Od Windowsa 10, domyślny odstęp poziomy wynosi 8 pikseli. Ta opcja pozwala zwiększyć domyślną wartość odstępu między ikonami. We wczesnych wersjach Windowsa (m.in. Windows XP), odstęp ten był równy 2 pikselom.

Od Windowsa 10, opcja ta pozwala na zwiększenie domyślnego odstępu poziomego pomiędzy ikonami. wykorzystując wbudowany algorytm.

0 - Wyłączone (domyślnie)

Wartość niezerowa - wielkość odstępu w pikselach

virtual_desktop_order_fix

Windows 10 wprowadza funkcję wirtualnych pulpitów, które mają jednak ograniczenia w kontekście kolejności przycisków na liście zadań która nie jest zachowywana podczas przełączania wirtualnych pulpitów. Ta opcja sprawia, że eksplorator Windows zachowuje niestandardową kolejność.

0 - Wyłączone (domyślnie)

1 - Włączone

w10_large_icons

Podczas korzystania z dużych ikon, ich rozmiar wynosił 32x32 na wcześniejszych wersjach Windowsa. Od Windowsa 10, ich domyślny rozmiar wynosi 24x24. Ta opcja pozwala na przywrócenie wielkości 32x32.

0 - Wyłączone (domyślnie)

1 - Włączone

w7_show_desktop_classic_corner

Naprawia bug w Windows 7 (dla klasycznego motywu) kiedy kliknięcie w róg ekranu, w miejscu przycisku "Pokaż pulpit", nie aktywowało jego działania.

0 - Wyłączone (domyślnie)

1 - Włączone

w7_tasklist_htclient

Domyślnie pasek zadań w Windows 7 zachowuje się jak ruchomy element, nawet gdy jest zablokowany. Dzięki temu system chroni się przed otrzymywaniem komend wywoływanych za pomocą kliknięcia lewym przyciskiem myszy na zablokowanym pasku zadań, w związku z czym nie można skorzystać z opcji ustawianych za pomocą funkcji Kontrolowanie przycisków myszki . Włączenie tej opcji pozwoli używać tych funkcji.

Uwaga: Windows 8 zachowuje się prawidłowo, w związku z czym zmiana wartości dla tej funkcji nie niesie za sobą żadnych zmian.

0 - Wyłączone (domyślnie)

1 - Włączone


Kontrolowanie przycisków myszki

Zaawansowane ››

Poniższe funkcje pozwalają ustawić różne zdarzenia wywoływane kliknięciami myszki na obszarze paska zadań.

Proszę pamiętać, że te opcje mają niższy priorytet niż opcje ustawiane standardowo w programie 7+ Taskbar Tweaker.

Nazwa wartości

Nazwa wartości definiuje element docelowy, tryb wywoływania (kliknięcia myszy) i klawisze specjalne.

Element docelowy

Obecnie wspierane są następujące elementy docelowe:

  • taskbaritem - element paska zadań.
  • emptyspace - obszar pustego miejsca na pasku zadań.
  • volumeicon - ikona głośności (obszar powiadomień).
  • showdesktop - przycisk "Pokaż pulpit".

Tryb wywoływania (kliknięcia myszy)

Możliwe tryby wywołania:

  • lclick - Klik lewym przyciskiem myszy.
  • ldblclick - Podwójny klik lewym przyciskiem myszy.
  • rclick - Klik prawym przyciskiem myszy.
  • rdblclick - Podwójny klik prawym przyciskiem myszy.
  • mclick - Klik kółkiem myszy.
  • mdblclick - Podwójny klik kółkiem myszy.
  • x1click - Klik pierwszym przyciskiem X (przycisk 4).
  • x1dblclick - Podwójny klik pierwszym przyciskiem X (przycisk 4).
  • x2click - Klik drugim przyciskiem X (przycisk 5).
  • x2dblclick - Podwójny klik drugim przyciskiem X (przycisk 5).

Specjalne/dodatkowe przyciski X (przycisk 4 i przycisk 5) odnoszą się do myszy mającej pięć przycisków.

Klawisze specjalne

Dostępne klawisze:

  • ctrl
  • shift

Łączenie razem różnych wartości

Końcowa wartość może wyglądać przykładowo:

element_docelowy|tryb_wywołania+klawisz_specjalny1+klawisz_specjalny2

Na przykład:

  • taskbaritem|ctrl+shift+lclick - klik lewym przyciskiem myszy na elemencie paska zadań przy jednoczesnym trzymaniu wciśniętych klawiszy ctrl i shift.
  • emptyspace|x1dblclick - podwójny klik przyciskiem 4 na obszarze pustego miejsca na pasku zadań.

Dane wartości

Dane wartości definiują akcję jaką wywoła kliknięcie myszy.

Dane wartości zależą od elementu docelowego:

taskbaritem - element paska zadań

  • 1 - pokaż
  • 2 - minimalizuj
  • 3 - zamknij
  • 4 - powiel okno/program
  • 5 - jump lista
  • 6 - standardowe menu okna
  • 7 - pokaż podgląd miniatur
  • 8 - Zakończ proces
  • 9 - Minimalizuj wszystkie elementy grupy
  • 10 - Zamknij wszystkie elementy grupy
  • 11 - Maksymalizuj wszystkie elementy grupy
  • 12 - Przywróć wszystkie elementy grupy
  • 13 - Maksymalizuj
  • 14 - Przywróć
  • 15 - Alphabetically sort group items

emptyspace - obszar pustego miejsca na pasku zadań

volumeicon

showdesktop

  • 1 - Pokaż pulpit
  • 2 - Ctrl+Alt+Tab
  • 3 - Menedżer zadań Windows
  • 4 - Taskbar Inspector
  • 5 - Wycisz wszystkie dźwięki
  • 6 - Włącz autoukrywanie paska zadań
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Menu Start/Ekran startowy
  • 101 - Przełącz na okno, które znajduje się na pasku zadań po lewej od aktywnego okna.
  • 102 - Przełącz na okno, które znajduje się na pasku zadań po prawej od aktywnego okna.
  • 103 - Tak samo jak 101 z pominięciem zminimalizowanych okien.
  • 104 - Tak samo jak 102 z pominięciem zminimalizowanych okien.

Przykłady

  • taskbaritem|ctrl+shift+lclick - 3 - klik lewym przyciskiem myszy na elemencie paska zadań przy jednoczesnym trzymaniu wciśniętych klawiszy ctrl i shift zamyka okno.
  • emptyspace|x1dblclick - 1 - podwójny klik przyciskiem 4 na obszarze pustego miejsca na pasku zadań pokazuje pulpit.


Skróty Klawiszowe

Zaawansowane ››

Poniższe opcje pozwalają przypisać skróty klawiszowe niektórym akcjom na pasku zadań.

Nazwa wartości

Nazwa wartości definiuje skróty klawiszowe i klucze modyfikacji (komendy klawiszowe).

Klawisz skrótu

Klawisz skrótu jest reprezentowany przez wirtualny klucz kodowy.

Może być numerem dziesiętnym lub heksadecymalnym, poprzedzony prefiksem „0x”.

Pełna lista wirtualnych kluczy kodowych znajduje się na stronie internetowej Microsoft .

Klucze modyfikacji (komendy klawiszowe)

Jeden lub kilka z poniższych:

  • alt
  • ctrl
  • shift
  • win
  • norepeat - chroni system przed wysyłaniem kilku komend w momencie trzymania wciśniętego klawisza.

Łączenie w całość

Przykładowa wartość wygląda następująco:

Klawisz_skrótu|klucz_modyfikacji1+klucz_modyfikacji2

Na przykład:

  • 0x27|ctrl+shift - Ctrl+Shift+strzałka_w_prawo.
  • 65|ctrl+alt+norepeat - Ctrl+Alt+A. Aktywuje funkcję jeden raz nawet jeżeli skrót jest wciskany przez dłuższą chwilę.

Dane wartości

Dane wartości definiują akcję jaką wywoła wciśnięcie skrótu klawiaturowego.

  • 1 - Pokaż pulpit
  • 2 - Ctrl+Alt+Tab
  • 3 - Menedżer zadań
  • 4 - Taskbar Inspector
  • 5 - Wycisz głośniki (mute)
  • 6 - Włącz/wyłącz autoukrywanie paska zadań
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Menu Start/Ekran startowy
  • 101 - Przełącz na okno, które znajduje się na pasku zadań po lewej od aktywnego okna.
  • 102 - Przełącz na okno, które znajduje się na pasku zadań po prawej od aktywnego okna.
  • 103 - Tak samo jak 101 z pominięciem zminimalizowanych okien.
  • 104 - Tak samo jak 102 z pominięciem zminimalizowanych okien.

Przykłady

  • 0x25|ctrl+shift - 103 - Ctrl+Shift+Strzałka_w_lewo przełącza na okno, które znajduje się na pasku zadań po lewej od aktywnego okna i pomija zminimalizowane.
  • 0x27|ctrl+shift - 104 - Ctrl+Shift+Strzałka_w_prawo przełącza na okno, które znajduje się na pasku zadań po prawej od aktywnego okna i pomija zminimalizowane.
  • 65|ctrl+alt+norepeat - 4 - Ctrl+Alt+A otwiera Taskbar Inspector. Aktywuje funkcję jeden raz nawet jeżeli skrót jest wciskany przez dłuższą chwilę.